<?php

namespace App\Controllers;


class Cobros extends BaseController
{

    public function index(){
        $session = \Config\Services::session($config);
        $datosC = $session->get("datos_reporte");
        $datos = array(
            "terceros"=>$this->getTerceros(),
            "tipocuentas"=>$this->getTipoCuenta(),
            "dependientes"=>$this->getDependientes(),
            "bancos"=>$this->getBancos(),
        );
        if(isset($datosC)){
            $datos["datosC"]=$datosC;
            $session->remove('datos_reporte');
        }
        $filtroPago = array();
        $filtroVenta = array();
        if(isset($_POST["fechatrans"]) && $_POST["fechatrans"] != ""){
            $filtroPago["pad_fecha_transaccion"]=$_POST["fechatrans"];
            $filtroVenta["ven_fecha_transaccion"]=$_POST["fechatrans"];
        }
        if(isset($_POST["lote"]) && $_POST["lote"] != ""){
            $filtroPago["pad_lote"]=$_POST["lote"];
            $filtroVenta["ven_lote"]=$_POST["lote"];
        }
        if(isset($_POST["ntarjeta"]) && $_POST["ntarjeta"] != ""){
            $filtroPago["pad_cuenta_contable_banco"]=$_POST["ntarjeta"];
            $filtroVenta["ven_id_banco"]=$_POST["ntarjeta"];
        }
        if(isset($_POST["autorizacion"]) && $_POST["autorizacion"] != ""){
            $filtroPago["pad_autorizacion"]=$_POST["autorizacion"];
            $filtroVenta["ven_autorizacion"]=$_POST["autorizacion"];
        }
        if(isset($_POST["ttarjeta"]) && $_POST["ttarjeta"] != ""){
            $filtroPago["pad_tipo_tarjeta"]=$_POST["ttarjeta"];
            $filtroVenta["ven_tarjeta_credito"]=$_POST["ttarjeta"];
        }
        
        $busqueda=array();
      
       
        
        
        echo view("layouts/header");
        echo view("layouts/aside");
        echo view("ajustes/cobros", $datos);
        echo view("layouts/footer");
    }

    public function getTerceros()
    {
		$opciones = array('http' =>
			array(
				'method'  => 'GET',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'Ajustes/readTerceros', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
    }

    public function getDependientes()
    {
		$opciones = array('http' =>
			array(
				'method'  => 'GET',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'Ajustes/readDependientes', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
    }
    
    public function getBancos()
    {
		$opciones = array('http' =>
			array(
				'method'  => 'GET',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'Ajustes/readBancos', false, $contexto);
		$resultado=json_decode($resultado,true);  
		//print_r($resultado);
		if(!empty($resultado)){
			return $resultado;
		}else{
			return null;
		}
    }
    
    public function getTipoCuenta()
    {
		$opciones = array('http' =>
			array(
				'method'  => 'GET',
				'header'  => 'Content-type: application/x-www-form-urlencoded',
			)
		);

		$contexto = stream_context_create($opciones);
		$resultado = file_get_contents($this->url_api_conciliacion.'Ajustes/readTipoCuenta', false, $contexto);
		$resultado=json_decode($resultado,true);  
		if(!empty($resultado)){
			return $resultado["data"];
		}else{
			return null;
		}
    }
}